Bug 988710 - libarchive FIPS compliance bugs
libarchive FIPS compliance bugs
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libarchive (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Pavel Raiskup
qe-baseos-daemons
:
Depends On:
Blocks: 839624
  Show dependency treegraph
 
Reported: 2013-07-26 04:10 EDT by Pavel Raiskup
Modified: 2018-01-29 18:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Raiskup 2013-07-26 04:10:22 EDT
Not completely everything works OK in FIPS - even if it is very minor subset of
functionality (basic usage by bsdtar/bsdcpio is OK).  The following tests for
./libarchive_tests fails with segfault:

  fail with 139 exit      8: test_archive_md5
  fail with 139 exit      9: test_archive_rmd160
  fail with 139 exit    209: test_read_format_xar
  fail with 139 exit    302: test_write_format_xar

It should be handled to show proper message instead of segfault.

Pavel
Comment 3 Pavel Raiskup 2013-12-04 03:52:29 EST
Somehow relevant upstream discussion:
https://groups.google.com/forum/#!topic/libarchive-discuss/GxnEs3gJarc

At least it should show us whether upstream will be interested in FIPS
related patches or we should adjust libarchive downstram.
Comment 4 Pavel Raiskup 2013-12-12 09:44:14 EST
Still no response from upstream.  We need to know whether upstream
is (or is not) interested in FIPS changes.

Note You need to log in before you can comment on or make changes to this bug.